{extends file="page.tpl"}
{block name="content"}
        <div class="ui fitted small red message">{_T string="NB : The mandatory fields are in"} <span class="required">{_T string="red"}</span></div>
        <form action="{path_for name="store_paypal_preferences"}" method="post" enctype="multipart/form-data" class="ui form">
            <div class="ui text container">
{if !$paypal->isLoaded()}
                <div id="errorbox">
                    <h1>{_T string="- ERROR -"}</h1>
                </div>
{/if}
                <div class="ui segment">
                    <input type="hidden" name="valid" value="1"/>
{if $login->isAdmin()}
                    <div class="ui field">
                        <label for="paypal_id">{_T string="Paypal identifier:" domain="paypal"}</label>
                        <input type="text" name="paypal_id" id="paypal_id" value="{$paypal->getId()}" required/>
                        <span class="tip">{_T string="Enter here one of your Paypal ID or email adress associated within your paypal account." domain="paypal"}</span>
                    </div>
{/if}
{if $paypal->areAmountsLoaded() and $amounts|@count gt 0}
                    <table class="ui celled striped table">
                        <thead>
                            <tr>
                                <th class="listing">{_T string="Contribution type"}</th>
                                <th class="listing">{_T string="Amount"}</th>
                                <th class="listing">{_T string="Inactive"}</th>
                            </tr>
                        </thead>
                        <tbody>
    {foreach from=$amounts key=k item=amount}
                            <tr>
                                <td>
                                    <input type="hidden" name="amount_id[]" id="amount_id_{$k}" value="{$k}"/>
                                    <label for="amount_{$k}">{$amount['name']}</label>
                                </td>
                                <td>
                                    <input type="text" name="amounts[]" id="amount_{$k}" value="{$amount['amount']|string_format:"%.2f"}"/>
                                </td>
                                <td>
                                    <input type="checkbox" name="inactives[]" id="inactives_{$k}"{if $paypal->isInactive($k)} checked="checked"{/if} value="{$k}"/>
                                </td>
                            </tr>
    {/foreach}
                        </tbody>
                    </table>
{else}
                    <p class="ui red message">{_T string="Error: no predefined amounts found." domain="paypal"}</p>
{/if}

                </div>
                <div class="button-container">
                    <input type="submit" value="{_T string="Save"}" class="ui button"/>
                </div>
            </div>
        </form>
{/block}
